package com.keao.edu.user.enums;

import com.keao.edu.common.enums.BaseEnum;

/**
 * 支付状态
 */
public enum TransStatusEnum implements BaseEnum<String, TransStatusEnum> {
    ING("ING", "交易中"),
    SUCCESS("SUCCESS", "交易成功"),
    FAILED("FAILED", "交易失败"),
    CLOSE("CLOSE", "交易关闭"),
    REFUND("REFUND", "交易退款");

    private String code;

    private String msg;

    TransStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
